using System;
using System.Collections.Generic;
using System.Text;
using CIA_CSS;
using CSS_User;


namespace IndianHealthService.BMXNet.CIA
{
    public class BMXNetSessionOverCia
    {
        public static BMXNetSession OpenOn(ICSS_Session aCiaSession, ICSS_User aCiaUser)
        {
            BMXNetLib ciaLib = BMXNetOverCiaLib.OpenOn(aCiaSession,aCiaUser);

            BMXNetRpcSingleThreadedSession rpc = new BMXNetRpcSingleThreadedSession();
            rpc.AuthenticatedConnectionInfo(ciaLib);

            return rpc;
        }

    }
}
